generator:
  class: sfPropelGenerator
  param:
    model_class:           NewsletterSubscription
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              subscription
    plural:                subscriptions
    route_prefix:          newsletter
    with_propel_route:     1
    actions_base_class:    sfActions

    config:
      fields: {<?php echo Form::commonTranslateYml(); ?>}

      list:
        title:   Lista subskrypcji newslettera
        display: [ email, is_confirmed, unsubscribe_hash ]
        actions:
          getCsv: { label: "Pobierz listę aktywnych w formacie csv", action: getCsvList }
        object_actions:
          _delete: { confirm: "Czy na pewno chcesz usunąć tę subskrypcję?" }
        batch_actions: {}

      filter:
        class: false
